#
# spec file for package imlib (Version 1.9.14)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel giflib giflib-devel glib glib-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtk gtk-devel gzip info insserv jpeg klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnetpbm libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           imlib
BuildRequires:  giflib-devel gtk-devel jpeg libjpeg libjpeg-devel libnetpbm libpng-devel libstdc++ libstdc++-devel libtiff-devel xorg-x11
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          System/Libraries
Autoreqprov:    on
Summary:        A Shared Library for Loading and Rendering 3D Images
Version:        1.9.14
Release:        215.2
Source:         ftp://ftp.gnome.org/pub/gnome/sources/imlib/1.9/imlib-%{version}.tar.bz2
Url:            http://www.labs.redhat.com/imlib/
Patch:          imlib-%{version}.patch
Patch2:         imlib-1.9.8.1-image_from_drawable.patch
Patch3:         imlib-config.dif
Patch5:         pnm-detect.diff
Patch6:         imlib-1.9.10-autoconf.patch
Patch7:         %{name}-tiff_output.diff
Patch8:         imlib-1.9.10-load.diff
Patch9:         imlib-ac.diff
Patch10:        imlib-1.9.14-bmpoverflow.patch
Patch11:        imlib-1.9.14-alt-bound.patch
Patch12:        imlib-more-xpm-fixes.patch
Patch13:        imlib-codecleanup.diff
Patch14:        imlib-1.9.14-no_acconfig_h.diff
Patch15:        imlib-link.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a general, all-purpose image loading and rendering (image data
to screen data) library. Imlib is currently capable of loading 25
different image formats.

See the file /usr/include/X11/imlib.h or directory
/usr/share/doc/packages/imlib for more details.

This shared library is needed for the Enlightenment window manager and
for GNOME.



Authors:
--------
    Carsten Haitzler <s2154962@cse.unsw.edu.au>

%debug_package
%package      devel
Summary:        Imlib Development Environment
Group:          System/Libraries
Autoreqprov:    on
Obsoletes:      imlibdev
Provides:       imlibdev
Requires:       %{name} = %{version}

%description devel
This package is required for developing programs linked against Imlib
or for compiling GNOME packages.



Authors:
--------
    Carsten Haitzler <s2154962@cse.unsw.edu.au>

%package      config
Requires:       %{name} = %{version}
Summary:        Configuration Tool for imlib
Group:          System/Libraries
Autoreqprov:    on
Provides:       imlibcfe
Obsoletes:      imlibcfe

%description config
A graphical front-end for configuring 'imlib' (imlib-config).



Authors:
--------
    Carsten Haitzler <s2154962@cse.unsw.edu.au>

%prep
%setup -q
%patch -p1
%patch2
%patch3
%patch5
%patch6 -p1 -b .autoconf
%patch7 -b .tiff_convert
%patch8 -p1 -b .load
%patch9
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13
%patch14
%patch15

%build
%{?suse_update_config:%{suse_update_config -f}}
rm -f acinclude.m4 acconfig.h
libtoolize --force --copy
autoreconf --install --force
export CFLAGS="${RPM_OPT_FLAGS} -Wall -W" \
LIBS=-L/usr/X11R6/%{_lib}
./configure --x-libraries=/usr/X11R6/%{_lib} \
	--prefix=%prefix \
	--mandir=%prefix/share/man \
	--sysconfdir=%sysconfdir \
	--libdir=%{prefix}/%_lib
make

%install
make -s DESTDIR=$RPM_BUILD_ROOT install
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS NEWS
%attr(755,root,root) %{prefix}/%_lib/lib*.so.*
%config %{sysconfdir}/*
%{prefix}/%_lib/libimlib-*.so

%files config
%defattr(-,root,root)
%{prefix}/bin/imlib_config

%files devel
%defattr(-, root, root)
%doc doc/*.html doc/*.gif
%{prefix}/bin/imlib-config
%{prefix}/%_lib/libImlib.so
%{prefix}/%_lib/libgdk_imlib.so
%{prefix}/%_lib/*a
%{prefix}/%_lib/pkgconfig/*
%{prefix}/include/*
%{prefix}/share/aclocal/*
%doc %{prefix}/share/man/man?/*.*

%changelog -n imlib
* Wed Mar 22 2006 - pth@suse.de
- Fix BuildRequires.
* Mon Jan 30 2006 - pth@suse.de
- Add libjpeg and libjpeg-devel to BuildRequires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 17 2005 - sbrabec@suse.cz
- Link libraries with gdk to make it prelinkable (#50796).
* Wed Jan 05 2005 - pth@suse.de
- Add libstdc++ to neededforbuild
- get rid of type punning to enable strict aliasing
- clean up configure.in
* Mon Nov 15 2004 - meissner@suse.de
- Even more additional XPM security fixes. #48601
* Fri Aug 27 2004 - meissner@suse.de
- Added additional overflow checks to BMP loader.
* Wed Aug 25 2004 - meissner@suse.de
- fixed buffer overflow in BMP loader. CAN-2004-0817,#44228
* Thu Apr 29 2004 - ro@suse.de
- added -fno-strict-aliasing
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Tue Jan 13 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated to version 1.9.14.
* Wed Jul 16 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed May 14 2003 - pthomas@suse.de
- Move pkgconfig files to devel package.
* Wed May 14 2003 - mmj@suse.de
- Package forgotten files
* Tue Mar 11 2003 - coolo@suse.de
- fixing BMP loading on some non ia32 platforms (#23559)
* Mon Mar 03 2003 - pthomas@suse.de
- Make imlib use deflate for compressing tiff files instead of
  LZW. Fixes #15173.
- Correct lseek call in loader_tiff.
* Fri Aug 09 2002 - pthomas@suse.de
- Add 'requires imlib' to -devel package.
* Tue May 28 2002 - meissner@suse.de
- fixed autoconf breakage.
* Mon May 27 2002 - ro@suse.de
- removed libfbm from neededforbuild again (is a deleted package)
* Tue May 14 2002 - pthomas@suse.de
- Fix brown paperback bug: add explicit dependency on libgdk_imlib
  for dynamic modules of said lib.
- Add patch to support DESTDIR in ltmain.sh.
- Compilation now requires libjpeg, libpng, libgif etc.
* Wed Mar 27 2002 - pthomas@suse.de
- Security fix:
- Check that mallocs won't wrap around.
- Remove support for external helpers.
- Fix detection of pnm files.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 - pmladek@suse.cz
- used macros %%{_lib} and %%{_libdir} to fix for lib64
* Thu Jan 10 2002 - schwab@suse.de
- Don't add /usr/include or /usr/local/include to include path.
* Fri Oct 05 2001 - pmladek@suse.cz
- fixed using of image depth in function
  Imlib_create_image_from_drawable, drawable
  can have another depth then ImlibData
* Mon Oct 01 2001 - ro@suse.de
- removed librle from neededforbuild (deleted package)
* Thu Sep 20 2001 - dan@suse.cz
- complete the previous fix (#10275)
* Wed Sep 19 2001 - egger@suse.de
- diff: Integrated 2 simple and obvious fixes (from 1.9.11) to
  allow imlib the correct handling of greyscale PNG images.
  Fixes bug #10275.
* Mon Jul 09 2001 - egger@suse.de
- Updated to version 1.9.10.
* Sat May 12 2001 - schwab@suse.de
- Fix typo.
* Fri Mar 02 2001 - egger@suse.de
- Updated to version 1.9.9.
- Even more tidying.
* Mon Jan 29 2001 - pthomas@suse.de
- cleaned up spec file (got rid of all that -n stuff)
- renamed imlibcfe to imlib-config
* Sat Jan 27 2001 - violiet@suse.de
- added imlib_config i18n patch
* Mon Nov 27 2000 - uli@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct 01 2000 - egger@suse.de
- Removed ImageMagick dependency...
* Fri May 26 2000 - ke@suse.de
- update to version 1.9.8.1.
- ./configure -> %%build.
- add group tag.
- use DESTDIR.
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Mon Feb 28 2000 - kukuk@suse.de
- update: version 1.9.8.
* Tue Oct 12 1999 - ke@suse.de
- update: version 1.9.7.
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue Jun 29 1999 - ke@suse.de
- #neededforbuild libungif (instead of libgif).
* Mon Apr 12 1999 - ke@suse.de
- update: version 1.9.5.
- filelist changes.
* Mon Mar 01 1999 - ke@suse.de
- update: version 1.9.4.
- filelist addition.
* Sun Feb 14 1999 - ke@suse.de
- update: version 1.9.3.
* Thu Jan 21 1999 - ke@suse.de
- update: version 1.9.2.
* Thu Jan 14 1999 - ke@suse.de
- we want to use libpng 1.0.2.  Should work on i386.
* Wed Jan 13 1999 - ke@suse.de
- update: version 1.9.0.
* Sat Jan 09 1999 - ke@suse.de
- update: version 1.8.2.
* Mon Nov 02 1998 - ke@suse.de
- add -L/usr/X11R6/lib to the %%prep stage; remove it from %%build.
* Mon Oct 26 1998 - ke@suse.de
- update: version 1.8.1.
- build subpackages `imlib', `imlibdev', and `cfgeditor'.
* Wed Jul 08 1998 - maddin@suse.de
- new version 1.6
- prepared for Gnome
* Fri Nov 21 1997 - bs@suse.de
- don't call ldconfig in spec file
* Tue Nov 04 1997 - kgw@suse.de
  first SuSE version, ready for autobuild.
